export class Identifier {
  constructor(name, label) {
    if (label == null) {
      this.label = name
    } else {
      this.name = name
      this.label = label
    }
  }
}

export class SelectedGraph {
  constructor(identifier) {
    this.identifier = identifier
  }
}

class GraphObject {
  constructor({ name, label }, properties = []) {
    this.name = name
    this.label = label
    this.properties = properties
  }
}

export class Node extends GraphObject {
  constructor(id, properties) {
    super(id, properties)
  }
}

export class Edge extends GraphObject {
  constructor(id, properties) {
    super(id, properties)
  }
}

export class ReturnValues extends Array {
  constructor(args) {
    super(args)
  }
}

export class KeyValuePair {
  constructor(key, value) {
    this.key = key
    this.value = value
  }
}

export class Alias {
  constructor(value, alias) {
    this.value = value
    this.alias = alias
  }
}
